Bug 1414489 - [opal-prd] README file not installed so rpm generation fails
Summary: [opal-prd] README file not installed so rpm generation fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opal-prd
Version: 26
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vasant Hegde
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2017-01-18 16:09 UTC by Rafael Fonseca
Modified: 2017-04-25 21:34 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-25 21:34:39 UTC


Attachments (Terms of Use)
opal-prd-update-to-5.4.3 patch (5.13 KB, patch)
2017-01-18 16:09 UTC, Rafael Fonseca
no flags Details | Diff
opal-prd-update-to-5.4.3 patch (6.40 KB, patch)
2017-01-24 15:34 UTC, Rafael Fonseca
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 153544 None None None 2017-04-19 12:10 UTC

Description Rafael Fonseca 2017-01-18 16:09:00 UTC
Created attachment 1242211 [details]
opal-prd-update-to-5.4.3 patch

Description of problem: when updating opal-prd to the latest released version 5.4.3, rpm complains it can't find the README file. Indeed the file doesn't seem to be installed with 'make install'.


Version-Release number of selected component (if applicable): 5.2.0


How reproducible: always when built with attached patch


Actual results: https://kojipkgs.fedoraproject.org//work/tasks/2948/17322948/build.log

+ cp -pr README /builddir/build/BUILDROOT/opal-prd-5.4.3-1.fc26.ppc64le/usr/share/doc/opal-prd
cp: cannot stat 'README': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.2Tw3Aq (%doc)
error: File not found: /builddir/build/BUILDROOT/opal-prd-5.4.3-1.fc26.ppc64le/usr/share/doc/opal-prd/README

Expected results: README file is installed and found by rpm.


Additional info:

Comment 1 Rafael Fonseca 2017-01-24 15:33:27 UTC
Just realised the file was renamed upstream from README to README.md.

The attached patch updates opal-prd to the latest upstream version.

Comment 2 Rafael Fonseca 2017-01-24 15:34 UTC
Created attachment 1243953 [details]
opal-prd-update-to-5.4.3 patch

Comment 3 Fedora End Of Life 2017-02-28 11:00:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Vasant Hegde 2017-04-19 09:44:21 UTC
I've fixed this issue. Can you please grab opal-prd from latest build ?

FC 26 build : https://koji.fedoraproject.org/koji/taskinfo?taskID=19076040

-Vasant

Comment 5 Dan Horák 2017-04-19 11:13:56 UTC
Vasant, starting with F-26 ppc64/ppc64le have been merged into the primary koji instance, which means all (non-rawhide) updates must go thru bodhi to be made public. Please add the F-26 update at https://bodhi.fedoraproject.org/

Comment 6 Fedora Update System 2017-04-19 14:07:29 UTC
opal-prd-5.5.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c37ef67eae

Comment 7 Vasant Hegde 2017-04-19 14:09:09 UTC
(In reply to Dan Horák from comment #5)
> Vasant, starting with F-26 ppc64/ppc64le have been merged into the primary
> koji instance, which means all (non-rawhide) updates must go thru bodhi to
> be made public. Please add the F-26 update at
> https://bodhi.fedoraproject.org/

Sorry. I missed this.

I've created bodhi request [1]. This is the first time I've created Bodhi request. Hopefully I've filled it properly.

Let me know if I missed anything .


[1] https://bodhi.fedoraproject.org/updates/opal-prd-5.5.0-2.fc26

-Vasant

Comment 8 Dan Horák 2017-04-19 14:19:30 UTC
No problem, all looks correct, thanks :-)

Comment 9 Fedora Update System 2017-04-20 02:22:32 UTC
opal-prd-5.5.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c37ef67eae

Comment 10 Fedora Update System 2017-04-25 21:34:39 UTC
opal-prd-5.5.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.